%define debug_package %{nil}

%if 0%{?fedora} || 0%{?centos} >= 7
%global         with_python3 1
%else
%global         with_python3 0
%endif

%if 0%{?centos} == 7
%define python3_pkgversion 36
%endif

Name:		libscca
Version:	20200717
Release:	1%{?dist}
Summary:	Library to access the Windows Prefetch File (PF) format
Group:		System Environment/Libraries
License:	LGPL
Source:		%{name}-alpha-%{version}.tar.gz
URL:		https://github.com/libyal/libscca/wiki
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	autoconf automake pkgconfig gettext-devel libtool

%description
libscca is a library to access the Windows Prefetch File (PF) format

%package devel
Summary: Header files and libraries for developing applications for libscca
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Header files and libraries for developing applications for libscca.

%package tools
Summary: Several tools for accessing Windows Prefetch files
Group: Applications/System
Requires: %{name} = %{version}-%{release}

%description tools
Several tools for accessing Windows Prefetch files

%package python2
Summary: Python 2 bindings for libscca
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release} python2
BuildRequires: python2-devel
Obsoletes: %{name}-python2
Provides: %{name}-python2 = %{version}
Provides: %{name}-python = %{version}

%description python2
Python 2 bindings for libscca

%if 0%{?with_python3}
%package python%{python3_pkgversion}
Summary: Python 3 bindings for libscca
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release} 
BuildRequires: python%{python3_pkgversion}
BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-setuptools

%description python%{python3_pkgversion}
Python 3 bindings for libscca
%endif

%prep
%setup -q

%build
# if [ -f synclibs.sh ]; then sh synclibs.sh; fi
if [ -f autogen.sh  ]; then sh autogen.sh;  fi
%if 0%{?with_python3}
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python2 --enable-python3
%else
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python
%endif
find . -type f -exec grep -l system_string_vsnprintf '{}' /dev/null \; | while read f
do
        sed --in-place s/system_string_vsnprintf/vsnprintf/g $f
done
make %{?_smp_mflags}

%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/*
%{_mandir}/man3/*

%files tools
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_bindir}/sccainfo
%{_mandir}/man1/*

%files python2
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python2*/site-packages/*.a
%{_libdir}/python2*/site-packages/*.la
%{_libdir}/python2*/site-packages/*.so

%if 0%{?with_python3}
%files python%{python3_pkgversion}
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python3*/site-packages/*.a
%{_libdir}/python3*/site-packages/*.la
%{_libdir}/python3*/site-packages/*.so
%endif

%changelog
* Fri Jul 17 2020 Lawrence R. Rogers <lrr@cert.org> 20200717-1
* Release 20200717-1
	Version 20200717

* Sun Dec 22 2019 Lawrence R. Rogers <lrr@cert.org> 20191222-1
* Release 20191222-1
	Version 20191222

* Mon Nov  4 2019 Lawrence R. Rogers <lrr@cert.org> 20191104-1
* Release 20191104-1
	Version 20191104

* Tue Oct 29 2019 Lawrence R. Rogers <lrr@cert.org> 20191029-1
* Release 20191029-1
	Version from 20191029

* Wed Jun  5 2019 Lawrence R. Rogers <lrr@cert.org> 20190605-1
* Release 20190605-1
	Version from 20190605

* Sat May 18 2019 Lawrence R. Rogers <lrr@cert.org> 20181227-4
* Release 20181227-4
	Version 20181227-4: Uses python3_pkgversion for the current version of Python 3.

* Tue Apr  9 2019 Lawrence R. Rogers <lrr@cert.org> 20181227-3
* Release 20181227-3
        Release 3 - Rebuilt for Python 3.6 for CentOS/RHEL 7

* Mon Jan 28 2019 Lawrence R. Rogers <lrr@cert.org> 20181227-2
* Release 20181227-2
        Version as of 20181227
	-python2 packages renamed to -python2

* Thu Dec 27 2018 Lawrence R. Rogers <lrr@cert.org> 20181227-1
* Release 20181227-1
	Version 20181227

* Wed Nov 28 2018 Lawrence R. Rogers <lrr@cert.org> 20181128-1
* Release 20181128-1
	Version from 20181128.

* Thu Nov  1 2018 Lawrence R. Rogers <lrr@cert.org> 20181101-1
* Release 20181101-1
	Version from 20181101.

* Wed May  9 2018 Lawrence R. Rogers <lrr@cert.org> 20180509-1
* Release 20180509-1
	Version from 20180509

* Sun Feb  5 2017 Lawrence R. Rogers <lrr@cert.org> 20170205-1
* Release 20170205-1
	Version from 20170205

* Fri Jan  8 2016 Joachim Metz <joachim.metz@gmail.com> 20160108-1
- Auto-generated
